Как да активираме/деактивираме автоматичните ъпдейти на Wordpress

Как да активираме/деактивираме автоматичните ъпдейти на Wordpress

При версия 3.7 на Wordpress беше представена новата функционалност автоматичен update - автоматично обновяване на вашата Wordpress версия. За да не бъдете неприятно изненадани от обновена версия, която не е съвместима с инсталираните от вас плъгини или която "чупи" вашите персонализирани промени по темата ви, е добре да знаете как точно работят автоматичните обновявания. Вижте как да ги активирате и какъв тип обновявания съществуват!

По подразбиране всяка версия на Wordpress след 3.7 ще се обновява сама при всеки релийз на нова версия или ъпдейт на сигурността. Ако например в момента използвате версия 3.9, излизането на новата версия Benny 4.0 ще доведе до автоматично обновяване на вашия CMS.

В Wordpress съществуват 4 типа автоматични бекграунд обновявания:

  1. Актуализации на основния код (core updates)
  2. Plugin обновявания
  3. Обновяване на специфичната тема
  4. Ъпдейти на преводите

От друга страна актуализациите на основния код се разделят на три подкатегории:

  1. Главни ъпдейти на основния код, известни като "bleeding edge".
  2. Второстепенни ъпдейти на основния код за поддръжка и повишаване на сигурността.
  3. Главни core release обновявания.

Как да активирате автоматични обновявания

Ако желаете вашия Wordpress да се обновява автоматично , ще трябва да добавите няколко реда код към в конфигурационния файл wp-config.php

- за обновявания на основния код (major release updates)

define('WP_AUTO_UPDATE_CORE', true);

- за обновявания на плъгините

add_filter( 'auto_update_plugin', '__return_true' );

- за обновявания на темата

add_filter( 'auto_update_theme', '__return_true' );

Можете да обновявате автоматично само теми, свалени от официалното repository на Wordpress. Ако използвате платена тема или персонализирана такава, няма да можете да обновявате автоматично.

Как да деактивирате автоматичните обновявания

Ако не желаете вашия Wordpress да се обновява автоматично, можете да добавите следния код към конфигурационния файл wp-config.php:

define( 'AUTOMATIC_UPDATER_DISABLED', true );

Съвместим ли е вашия Wordpress с автоматичните ъпдейти

За да разберете дали вашия Wordpress e съвместим с автоматичните ъпдейти, можете да използвате специално създадения за целта плъгин - Background Update Tester. След като го инсталирате можете да го достъпете го от Dashboard > Update Tester.

Повече за обновяванията можете да прочетете в сайта на Wordpress.

###

Етикети: #wordpress-updates #wordpress-automatic-updates #wordpress-core-updates #avtomatichni-obnovyavaniya #wp-config-php #wordpress #avtomatichen-apdejt